Skip to main content
`Ctrl`+`K`

# VecGetState

Gets the state of a `Vec`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetState(Vec v, PetscObjectState *state)

Not Collective

## Input Parameter

- v - the `Vec` context

## Output Parameter

- state - the object state

## Note

Object state is an integer which gets increased every time the object is changed. By saving and later querying the object state one can determine whether information about the object is still current.

## See Also

Vectors and Parallel Data, `Vec`, `VecCreate()`, `PetscObjectStateGet()`

## Level

advanced

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages